Bug 1123607 - [abrt] baloo-file: Exiv2::ValueType<std::pair<unsigned int, unsigned int> >::toFloat(): baloo_file_extractor killed by SIGSEGV
Summary: [abrt] baloo-file: Exiv2::ValueType<std::pair<unsigned int, unsigned int> >::...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: exiv2
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5e8d7cf377be1be96aa6a292782...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 07:16 UTC by Gábor
Modified: 2018-04-11 08:38 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:47:18 UTC


Attachments (Terms of Use)
File: backtrace (34.26 KB, text/plain)
2014-07-27 07:16 UTC, Gábor
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-27 07:16 UTC, Gábor
no flags Details
File: core_backtrace (6.43 KB, text/plain)
2014-07-27 07:16 UTC, Gábor
no flags Details
File: dso_list (11.21 KB, text/plain)
2014-07-27 07:16 UTC, Gábor
no flags Details
File: environ (1.90 KB, text/plain)
2014-07-27 07:16 UTC, Gábor
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-27 07:16 UTC, Gábor
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-27 07:16 UTC, Gábor
no flags Details
File: maps (56.53 KB, text/plain)
2014-07-27 07:16 UTC, Gábor
no flags Details
File: open_fds (1.28 KB, text/plain)
2014-07-27 07:16 UTC, Gábor
no flags Details
File: proc_pid_status (951 bytes, text/plain)
2014-07-27 07:16 UTC, Gábor
no flags Details
File: var_log_messages (333 bytes, text/plain)
2014-07-27 07:16 UTC, Gábor
no flags Details

Description Gábor 2014-07-27 07:16:26 UTC
Version-Release number of selected component:
baloo-file-4.13.3-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/baloo_file_extractor 507 506 505 504 503 502 501 500 499 498 497 496 495 494 493 492 491 490 489 488 487 485 484 483 482 481 480 478 477 476 474 473 472 471 470 469 468 467 466 464
crash_function: Exiv2::ValueType<std::pair<unsigned int, unsigned int> >::toFloat
executable:     /usr/bin/baloo_file_extractor
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1024

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Exiv2::ValueType<std::pair<unsigned int, unsigned int> >::toFloat at value.hpp:1666
 #1 toVariantDouble at /usr/src/debug/kfilemetadata-4.13.3/src/extractors/exiv2extractor.cpp:100
 #2 toVariant at /usr/src/debug/kfilemetadata-4.13.3/src/extractors/exiv2extractor.cpp:130
 #3 KFileMetaData::Exiv2Extractor::add at /usr/src/debug/kfilemetadata-4.13.3/src/extractors/exiv2extractor.cpp:203
 #4 KFileMetaData::Exiv2Extractor::extract at /usr/src/debug/kfilemetadata-4.13.3/src/extractors/exiv2extractor.cpp:184
 #5 Baloo::App::processNextUrl at /usr/src/debug/baloo-4.13.3/src/file/extractor/app.cpp:165
 #6 QObject::event at kernel/qobject.cpp:1222
 #7 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:4565
 #8 QApplication::notify at kernel/qapplication.cpp:4351
 #9 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:953

Comment 1 Gábor 2014-07-27 07:16:31 UTC
Created attachment 921347 [details]
File: backtrace

Comment 2 Gábor 2014-07-27 07:16:32 UTC
Created attachment 921348 [details]
File: cgroup

Comment 3 Gábor 2014-07-27 07:16:34 UTC
Created attachment 921349 [details]
File: core_backtrace

Comment 4 Gábor 2014-07-27 07:16:35 UTC
Created attachment 921350 [details]
File: dso_list

Comment 5 Gábor 2014-07-27 07:16:37 UTC
Created attachment 921351 [details]
File: environ

Comment 6 Gábor 2014-07-27 07:16:38 UTC
Created attachment 921352 [details]
File: exploitable

Comment 7 Gábor 2014-07-27 07:16:40 UTC
Created attachment 921353 [details]
File: limits

Comment 8 Gábor 2014-07-27 07:16:42 UTC
Created attachment 921354 [details]
File: maps

Comment 9 Gábor 2014-07-27 07:16:43 UTC
Created attachment 921355 [details]
File: open_fds

Comment 10 Gábor 2014-07-27 07:16:44 UTC
Created attachment 921356 [details]
File: proc_pid_status

Comment 11 Gábor 2014-07-27 07:16:46 UTC
Created attachment 921357 [details]
File: var_log_messages

Comment 12 Clauber 2014-07-28 18:57:24 UTC
Another user experienced a similar problem:

Open folder with Dolphin.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/baloo_file_extractor 7331 7330 7329 7328 7327 7326 7325 7324 7323 7322 7321 7320 7319 7318 7317 7316 7315 7314 7313 7312 7310 7309 7308 7307 7306 7305 7304 7303 7302 7301 7300 7299 7298 7297 7296 7294 7293 7292 7291 7290
crash_function: Exiv2::ValueType<std::pair<unsigned int, unsigned int> >::toFloat
executable:     /usr/bin/baloo_file_extractor
kernel:         3.15.6-200.fc20.i686+PAE
package:        baloo-file-4.13.3-1.fc20
reason:         baloo_file_extractor killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Fedora End Of Life 2015-05-29 12:29:10 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 21:47:18 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.